# Uses of Enum Class
org.eclipse.emf.cdo.explorer.repositories.CDORepository.VersioningMode

Packages that use CDORepository.VersioningMode
Package
Description
org.eclipse.emf.cdo.explorer.repositories
Interfaces for working with `repositories`.

## Uses of CDORepository.VersioningMode in org.eclipse.emf.cdo.explorer.repositories

Methods in org.eclipse.emf.cdo.explorer.repositories that return CDORepository.VersioningMode
Modifier and Type
Method
Description
`static CDORepository.VersioningMode`
CDORepository.VersioningMode.`from(CDORepositoryInfo repositoryInfo)`
`CDORepository.VersioningMode`
CDORepository.`getVersioningMode()`
`static CDORepository.VersioningMode`
CDORepository.VersioningMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDORepository.VersioningMode[]`
CDORepository.VersioningMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.